Commit 2b82cbfc authored by jim warner's avatar jim warner Committed by Craig Small

top: the '#define PRETEND2_5_X' was found to be broken

Our newlib branch has already dropped support for such
old kernels. However, the master branch still supports
them. So this patch will correct a broken #define that
is used to influence the top Summary Area information.
Signed-off-by: jim warner's avatarJim Warner <james.warner@comcast.net>
parent 86611b46
......@@ -3615,7 +3615,11 @@ static void before (char *me) {
struct sigaction sa;
proc_t p;
int i;
#ifndef PRETEND2_5_X
int linux_version_code = procps_linux_version();
#else
int linux_version_code = LINUX_VERSION(2,5,43);
#endif
atexit(close_stdout);
......
......@@ -92,10 +92,6 @@
/* For prompting & helping with top's utf-8 support, thanks to:
Göran Uddeborg <goeran@uddeborg.se> - September, 2017 */
#ifdef PRETEND2_5_X
#define linux_version_code LINUX_VERSION(2,5,43)
#endif
// pretend as if #define _GNU_SOURCE
char *strcasestr(const char *haystack, const char *needle);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment